using System;
using System.Collections.Generic;
using System.Text;
using GxPress.EnumConst;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通知抄送
    /// </summary>
    [DataTable("tede_notice_cc")]
    public class NoticeCc : Datory.Entity
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        [DataColumn]
        public int NoticeId { get; set; }
        /// <summary>
        /// 抄送人ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 抄送人姓名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }
        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }
        /// <summary>
        /// 抄送人 1 接收 2 草稿
        /// </summary>
        [DataColumn]
        public NoticeTypeConst NoticeCcType { get; set; }
    }
}
